
Foreman - Bug #1824

When creating instance on Openstack flavor are sorted by alphabetical name instead of size

08/14/2012 07:56 AM - Romain Vrignaud

Status: Feedback   

Priority: Normal   

Assignee:    

Category: Compute resources - OpenStack   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I create a new instance on Openstack, I should get a dropdown menu with

flavor sorted by size instead of alphabetical order.

In foreman I have in order : medium / large / tiny /xlarge / small

In OpenStack I have in order : tiny / small / medium / large / xlarge

History

#1 - 08/22/2012 05:02 AM - Sam Kottler

- Status changed from New to Feedback

This is a feature, not necessarily a bug. Basically, the values are set to be sorted alphabetically. I am looking now to see if it's possible to just not

handle the sorting and then have OpenStack take over from there; if that works I will submit a PR.

#2 - 09/26/2014 07:10 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - OpenStack
